# Create New Deposit Address

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Fund Management", href: "/trading/rest-api/fund-management" },
    { label: "Create New Deposit Address" },
  ]}
  title="Create New Deposit Address"
  method="POST"
  url="https://api.gemini.com/v1/deposit/{network}/newAddress"
  description="Generates a new deposit address for the specified blockchain network."
  note={{
    title: "Note",
    children: (
      <p style={{ margin: 0 }}>Under the terms of the <a href="https://www.gemini.com/legal/api-agreement" style={{ color: "inherit", textDecorationLine: "underline" }}>Gemini API Agreement</a>, polling this endpoint may be subject to <a href="/rate-limit" style={{ color: "inherit", textDecorationLine: "underline" }}>rate limiting</a>. This endpoint is currently restricted further than standard rate limiting to a rate of 1 request per 2 seconds per subaccount. This rate is subject to change.</p>
    ),
  }}
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/deposit/bitcoin/newAddress",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/deposit/bitcoin/newAddress",
        nonce: "<nonce>",
        label: "optional test label",
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <>
          <p style={{ margin: "0 0 2px" }}>The API key you use to access this endpoint must have the Fund Manager role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
          <p style={{ margin: 0 }}>The OAuth scope must have <InlineBadge>addresses:create</InlineBadge> assigned to access this endpoint. See <a href="/authentication/oauth#oauth-scopes" style={{ color: "inherit", textDecorationLine: "underline" }}>OAuth Scopes</a> for more information.</p>
        </>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="createNewDepositAddress" />,
    },
    {
      heading: "Path Parameters",
      children: <SpecPathParams operationId="createNewDepositAddress" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="createNewDepositAddress" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="createNewDepositAddress" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "List Deposit Addresses", href: "/trading/rest-api/fund-management/list-deposit-addresses" }}
  next={{ label: "List Past Transfers", href: "/trading/rest-api/fund-management/list-past-transfers" }}
/>
